Bug 24051 - batchMod.pl: DBIx::Class::ResultSet::search_rs(): search( %condition ) is deprecated
Summary: batchMod.pl: DBIx::Class::ResultSet::search_rs(): search( %condition ) is dep...
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 19490
Blocks:
  Show dependency treegraph
 
Reported: 2019-11-18 10:20 UTC by Jonathan Druart
Modified: 2020-03-18 21:39 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.04, 19.05.09


Attachments
Bug 24051: Remove "search( %condition ) is deprecated" warning from batchMod.pl (1.29 KB, patch)
2019-11-18 10:32 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24051: Remove "search( %condition ) is deprecated" warning from batchMod.pl (1.34 KB, patch)
2020-02-14 17:59 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 24051: Remove "search( %condition ) is deprecated" warning from batchMod.pl (1.40 KB, patch)
2020-02-18 19:18 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2019-11-18 10:20:10 UTC
batchMod.pl: DBIx::Class::ResultSet::search_rs(): search( %condition ) is deprecated, use search( \\%condition ) instead at /kohadevbox/koha/Koha/Objects.pm line 136: /kohadevbox/koha/tools/batchMod.pl, referer: http://localhost:8081/cgi-bin/koha/reports/guided_reports.pl?reports=1&phase=Run%20this%20report
Comment 1 Jonathan Druart 2019-11-18 10:32:14 UTC
Created attachment 95486 [details] [review]
Bug 24051: Remove "search( %condition ) is deprecated" warning from batchMod.pl

Test plan:
Go to Home › Tools › Batch item modification
Insert barcodes and continue
=> Without this patch you will get warning in the log
=> With this patch applied you warning does no longer appear
Confirm that the number of holds is correct
Comment 2 Owen Leonard 2020-02-14 17:59:21 UTC
Created attachment 98999 [details] [review]
Bug 24051: Remove "search( %condition ) is deprecated" warning from batchMod.pl

Test plan:
Go to Home › Tools › Batch item modification
Insert barcodes and continue
=> Without this patch you will get warning in the log
=> With this patch applied you warning does no longer appear
Confirm that the number of holds is correct

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Martin Renvoize 2020-02-18 19:18:35 UTC
Created attachment 99219 [details] [review]
Bug 24051: Remove "search( %condition ) is deprecated" warning from batchMod.pl

Test plan:
Go to Home › Tools › Batch item modification
Insert barcodes and continue
=> Without this patch you will get warning in the log
=> With this patch applied you warning does no longer appear
Confirm that the number of holds is correct

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2020-02-18 19:18:58 UTC
Trivial and obvious fix. Passing QA
Comment 5 Martin Renvoize 2020-02-19 11:34:27 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Joy Nelson 2020-03-13 00:36:10 UTC
Pushed to 19.11.x branch for 19.11.04
Comment 7 Lucas Gass 2020-03-18 21:39:22 UTC
backported to 19.05.x. for 19.05.09